DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# case-fold-down

## Name

case-fold-down -- Shift a string to lowercase

## Synopsis

    (case-fold-down str)

## Description

Returns `str` in lowercase.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (case-fold-down str)
      ;; Shift a string to lowercase
      (if (string? str)
          (apply string (case-fold-down-charlist (string->list str)))
          str))

Prev | Home | Next
case-fold-up-charlist | Up | case-fold-up